"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("./constants");

const properties = ({
  promise
}, sagaProperties) => {
  if (promise[_constants.symbol].phase !== _constants.Phases.SAGA) {
    throw new TypeError();
  }

  promise[_constants.symbol].properties = { ...promise[_constants.symbol].properties,
    ...sagaProperties
  };
  promise[_constants.symbol].phase = _constants.Phases.PROPERTIES;
  return promise;
};

var _default = properties;
exports.default = _default;
//# sourceMappingURL=properties.js.map