"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _default = () => {
  const secrets = new Map();
  return {
    getSecret: async id => secrets.get(id),
    setSecret: async (id, secret) => secrets.setSecret(id, secret),
    deleteSecret: async id => secrets.delete(id)
  };
};

exports.default = _default;
//# sourceMappingURL=secrets-manager.js.map